import { FinancialSeries } from "./FinancialSeries";
import { ITrendLineSeries } from "./ITrendLineSeries";
import { TrendLineType } from "igniteui-angular-core";
import { DependencyProperty } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
import { PenLineCap } from "igniteui-angular-core";
import { DoubleCollection } from "igniteui-angular-core";
import { PriceDisplayType } from "./PriceDisplayType";
import { CategoryCollisionMode } from "./CategoryCollisionMode";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-angular-core";
import { CategoryFrame } from "./CategoryFrame";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
import { ITrendLineManager } from "./ITrendLineManager";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { List$1 } from "igniteui-angular-core";
import { Axis } from "./Axis";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-angular-core";
import { AxisRange } from "./AxisRange";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Pool$1 } from "igniteui-angular-core";
import { Path } from "igniteui-angular-core";
import { Thickness } from "igniteui-angular-core";
import { SeriesPlotAreaMarginHorizontalMode } from "./SeriesPlotAreaMarginHorizontalMode";
import { SeriesPlotAreaMarginVerticalMode } from "./SeriesPlotAreaMarginVerticalMode";
import { GeometryGroup } from "igniteui-angular-core";
import { LegendItemBadgeShape } from "igniteui-angular-core";
import { ValueLayerValueMode } from "./ValueLayerValueMode";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { NumericAxisBase } from "./NumericAxisBase";
import { ValueCollisionMode } from "./ValueCollisionMode";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class FinancialPriceSeries extends FinancialSeries implements ITrendLineSeries {
    static $t: Type;
    protected bk(): Series;
    protected get_fb(): boolean;
    protected jn(): number;
    protected ct(): SeriesView;
    q7(a: SeriesView): void;
    abc: FinancialPriceSeriesView;
    constructor();
    trendLineType: TrendLineType;
    trendLineBrush: Brush;
    get acv(): Brush;
    set acv(a: Brush);
    static readonly acc: DependencyProperty;
    trendLineThickness: number;
    acy: PenLineCap;
    acx: DoubleCollection;
    trendLinePeriod: number;
    abj: number;
    protected ph(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    abd: PriceDisplayType;
    abb: CategoryCollisionMode;
    protected b3(): SeriesHitTestMode;
    wx(a: Point): Rect;
    private aba;
    ao(a: Point): Rect[];
    gx(a: Point, b: boolean): boolean;
    protected g0(a: Point, b: boolean): boolean;
    protected rg(a: any, b: string, c: any, d: any): void;
    private acb;
    ay(a: Axis): AxisRange;
    az(a: Rect): AxisRange;
    i0(): number;
    ge(a: any): boolean;
    hf(a: Rect, b: Rect, c: SeriesView): boolean;
    aam(a: CategoryFrame, b: FinancialSeriesView): void;
    pb(a: boolean, b: SeriesView): void;
    protected sy(a: Rect, b: Rect): void;
    w5(a: SeriesPlotAreaMarginHorizontalMode, b: SeriesPlotAreaMarginVerticalMode): Thickness;
    protected get_ef(): boolean;
    aao(a: CategoryFrame, b: FinancialSeriesView): void;
    iy(): number;
    private ab9;
    private abh;
    private ab8;
    k1(a: any, b: Point): any;
    protected sp(): void;
    protected p5(a: any): void;
    acw: Brush;
    v7(): Brush;
    sb(a: Brush, b: Brush): void;
    protected bf(a: LegendItemBadgeShape): LegendItemBadgeShape;
    abu: string;
    abq: string;
    abl: string;
    abz: string;
    abw: string;
    abs: string;
    abn: string;
    ab1: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    private abe;
    private abf;
    abg: number;
    private aca;
    aq(a: ValueLayerValueMode): number[];
    wp(a: ValueLayerValueMode): Point;
    wq(a: number[]): Point;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    qa(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    ab5(a: Rect, b: CategoryAxisBase, c: boolean, d: Rect, e: number, f: number): {
        p4: number;
        p5: number;
    };
    ab4(a: Rect, b: NumericAxisBase, c: boolean, d: Rect, e: number, f: number): {
        p4: number;
        p5: number;
    };
    ab3(a: List$1<ChartSelection>, b: number, c: SeriesSelectionBehavior): void;
    ab7(a: List$1<ChartSelection>, b: number, c: number, d: SeriesSelectionBehavior): void;
    ab6(a: ValueCollisionMode, b: List$1<ChartSelection>, c: number, d: number, e: number, f: number, g: SeriesSelectionBehavior): void;
    bd(): ITrendLineManager;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class FinancialPriceSeriesView extends FinancialSeriesView {
    static $t: Type;
    protected cj: FinancialPriceSeries;
    constructor(a: FinancialPriceSeries);
    cm: Pool$1<Path>;
    c4(): Path;
    protected cp: List$1<Path>;
    cu(a: Path): void;
    cw(a: Path): void;
    cv(a: Path): void;
    protected ce(): FinancialBucketCalculator;
    a4(): void;
    private c3;
    private c2;
    private ck;
    get cl(): ITrendLineManager;
    set cl(a: ITrendLineManager);
    get cn(): boolean;
    cx(): void;
    cr(): void;
    cq(): void;
    c0(): GeometryGroup;
    cz(): GeometryGroup;
    cy(): void;
    protected bp(): void;
    protected bq(): void;
    protected ak(a: number): any;
    private c1;
    protected aj(a: number): any;
    protected bj(a: RenderingContext, b: boolean): void;
    protected bi(a: RenderingContext, b: boolean): void;
    ax(a: any): void;
    cs(): void;
    co: boolean;
    ct(): void;
}
